chrome.extension.sendMessage({}, function(response) {
  var readyStateCheckInterval = setInterval(function() {
    if (document.readyState === "complete") {
      clearInterval(readyStateCheckInterval);
      const isRecipeSite =
        document.querySelector("div[data-recipe-id]") ||
        document.querySelector('div[itemtype="http://schema.org/Recipe"]') ||
        document.querySelector('.mv-recipe-card') ||
        document.querySelector('.tasty-recipes');
      if (isRecipeSite) {
				const onRecipeButtonClick = () => {
					const style = document.createElement('style');
					style.textContent = `
						body{
							font-family: sans-serif;
							padding-bottom: 60px;
						}
						main{
							width: 100%;
							display: flex;
							justify-content: center;
						}
						.__page-wrapper{
							max-width: 700px;
						}
						h1{
							font-size: 2em;
						}
						h2{
							font-size: 1.85em;
						}
						h3{
							font-size: 1.55em;
						}
						li{
							margin-top: 15px;
						}
					`
					document.documentElement.innerHTML = '<main><div class="__page-wrapper">' + isRecipeSite.innerHTML + '</div></main>';
					document.body.appendChild(style)
					window.scrollTo(0,0);
				}

        const domRoot = document.createElement("div");
        document.body.appendChild(domRoot);
        const shadow = domRoot.attachShadow({ mode: "open" });

        const style = document.createElement("style");
        style.textContent = `
				@keyframes ___recipe_animation {
					0.00% {transform: translateY(100.00px);}
					10.16% {transform: translateY(-41.06px);}
					21.39% {transform: translateY(16.09px);}
					32.62% {transform: translateY(-6.31px);}
					43.85% {transform: translateY(2.47px);}
					55.08% {transform: translateY(-0.97px);}
					66.31% {transform: translateY(0.38px);}
					77.54% {transform: translateY(-0.15px);}
					88.77% {transform: translateY(0.06px);}
					100.00% {transform: translateY(-0.02px);}
				}
				.___recipe_button{
					box-shadow: 0px 10px 20px -5px rgba(93, 60, 50, 0.65), 0px 5px 7px -2px rgba(93, 60, 50, 0.45);
					border: 2px solid #b73316;
					background: rgb(217, 54, 18);
				}
				.___recipe_animation {
					animation: ___recipe_animation;
					animation-duration: 2.38s;
					animation-timing-function: cubic-bezier(0.445,  0.050, 0.550, 0.950);
				}
				.___recipe_button:hover{
					background: rgb(231, 69, 33);
				}
				.___dismiss_button{
					width: 40px;
					height: 40px;
					border-radius: 100%;
					background: rgb(217, 54, 18);
					border: 2px solid #b73316;
					color: #ffffff;
					font-size: 20px;
					margin-left: 10px;
					text-align: center;
					font-weight: bold;
					padding: 5px;
					padding-top: 3px;
					padding-left: 6px;
					pointer-events: auto;
				}
				.___dismiss_button:hover{
					background: rgb(231, 69, 33);
				}
				`;

        const wrapper = document.createElement("div");
        wrapper.style.position = "fixed";
        wrapper.style.left = "0px";
        wrapper.style.bottom = "0px";
        wrapper.style.display = "flex";
        wrapper.style.pointerEvents = "none";
        wrapper.style.justifyContent = "center";
        wrapper.style.alignItems = "center";
        wrapper.style.width = "100%";
        wrapper.style.padding = "30px";
        wrapper.style.zIndex = "99999";

        const button = document.createElement("button");
        button.style.padding = "15px 20px 15px 30px";
        // button.style.border = "none";
        button.style.color = "#ffffff";
        button.style.pointerEvents = "auto";
        button.style.height = "60px";
        button.style.borderRadius = "30px";
        button.style.fontFamily = "sans-serif";
        button.style.fontWeight = "bold";
        button.style.fontSize = "18px";
        button.innerHTML = "I JUST WANT THE RECIPE &nbsp;&nbsp; 👍";
        button.className = "___recipe_button ___recipe_animation";
				button.addEventListener("click", onRecipeButtonClick)

				const onDismiss = () => {
					wrapper.remove();
				}

				const dismissButton = document.createElement('button');
				dismissButton.textContent = "✕";
				dismissButton.className = "___dismiss_button ___recipe_animation";
				dismissButton.addEventListener("click", onDismiss)

        wrapper.appendChild(style);
        wrapper.appendChild(button);
				wrapper.appendChild(dismissButton);
        shadow.appendChild(wrapper);
      }
    }
  }, 10);
});
